漏洞信息详情

OpenSC 缓冲区错误漏洞

  • CNNVD编号:CNNVD-201912-003
  • 危害等级: 中危
  • CVE编号: CVE-2019-19479
  • 漏洞类型: 缓冲区错误
  • 发布时间: 2019-12-01
  • 威胁类型: 本地
  • 更新时间: 2019-12-31
  • 厂        商:
  • 漏洞来源:

漏洞简介

OpenSC是一款开源的智能卡工具和中间件。

OpenSC 0.19.0及之前版本和0.20.x版本至0.20.0-rc3版本中存在安全漏洞,该漏洞源于libopensc/card-setcos.c文件没有进行正确的读取操作。目前尚无此漏洞的相关信息,请随时关注CNNVD或厂商公告。

漏洞公告

目前厂商已发布升级补丁以修复漏洞,补丁获取链接:

https://github.com/OpenSC/OpenSC/commit/c3f23b836e5a1766c36617fe1da30d22f7b63de2

参考网址

来源:MLIST

链接:https://lists.debian.org/debian-lts-announce/2019/12/msg00031.html

来源:MISC

链接:https://bugs.chromium.org/p/oss-fuzz/issues/detail?id=18693

来源:MISC

链接:https://github.com/OpenSC/OpenSC/commit/c3f23b836e5a1766c36617fe1da30d22f7b63de2

来源:MLIST

链接:http://www.openwall.com/lists/oss-security/2019/12/29/1

来源:MISC

链接:https://bugzilla.redhat.com/show_bug.cgi?id=1782521

来源:vigilance.fr

链接:https://vigilance.fr/vulnerability/OpenSC-out-of-bounds-memory-reading-via-SETCOS-File-Attribute-31235

来源:nvd.nist.gov

链接:https://nvd.nist.gov/vuln/detail/CVE-2019-19479

受影响实体

    暂无


漏洞信息快速查询

相关漏洞

更多